بكسلات التتبع (Pixels)

GET https://qr8.tech/api/pixels/
curl --request GET \
--url 'https://qr8.tech/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
المعاملات (Parameters) التفاصيل الوصف
search اختياري نص (String) نص البحث.
search_by اختياري نص (String) الحقل المستهدف بالبحث. القيم المسموح بها: name, pixel.
type اختياري نص (String) القيم المسموح بها: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat
datetime_field اختياري نص (String) القيم المسموح بها: datetime, last_datetime
datetime_start اختياري نص (String) تصفية النتائج ابتداءً من هذا التاريخ والوقت. بالصيغة: Y-m-d H:i:s.
datetime_end اختياري نص (String) تصفية النتائج حتى هذا التاريخ والوقت. بالصيغة: Y-m-d H:i:s.
order_by اختياري نص (String) الحقل المستخدم لترتيب النتائج. القيم المسموح بها: pixel_id, datetime, last_datetime, name.
order_type اختياري نص (String) اتجاه ترتيب النتائج. القيم المسموح بها هي: ASC للترتيب التصاعدي، وDESC للترتيب التنازلي.
page اختياري عدد صحيح (Integer) رقم الصفحة التي ترغب في جلب نتائجها. القيمة الافتراضية هي 1.
results_per_page اختياري عدد صحيح (Integer) عدد النتائج المطلوبة في كل صفحة. القيم المسموح بها هي: 10, 25, 50, 100, 250, 500, 1000. القيمة الافتراضية هي 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "type": "Example",
            "name": "Example",
            "pixel": "Example",
            "last_datetime": null,
            "datetime": "2026-11-22 14:24:33"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://qr8.tech/api/pixels?page=1",
        "last": "https://qr8.tech/api/pixels?page=1",
        "next": null,
        "prev": null,
        "self": "https://qr8.tech/api/pixels?page=1"
    }
}
GET https://qr8.tech/api/pixels/{pixel_id}
curl --request GET \
--url 'https://qr8.tech/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "type": "Example",
        "name": "Example",
        "pixel": "Example",
        "last_datetime": null,
        "datetime": "2026-11-22 14:24:33"
    }
}
POST https://qr8.tech/api/pixels
المعاملات (Parameters) التفاصيل الوصف
type مطلوب نص (String) القيم المسموح بها: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat
name مطلوب نص (String) -
pixel مطلوب نص (String) -
curl --request POST \
--url 'https://qr8.tech/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "type": "Example",
        "name": "Example",
        "pixel": "Example",
        "last_datetime": null,
        "datetime": "2026-11-22 14:24:33"
    }
}
POST https://qr8.tech/api/pixels/{pixel_id}
المعاملات (Parameters) التفاصيل الوصف
type اختياري نص (String) القيم المسموح بها: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat
name اختياري نص (String) -
pixel اختياري نص (String) -
curl --request POST \
--url 'https://qr8.tech/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "type": "Example",
        "name": "Example",
        "pixel": "Example",
        "last_datetime": null,
        "datetime": "2026-11-22 14:24:33"
    }
}
DELETE https://qr8.tech/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://qr8.tech/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \